<?php

namespace App\Mail;

use App\Models\Budget;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class BudgetCreated extends Mailable
{
    use Queueable, SerializesModels;

    public $budget;

    public function __construct(Budget $budget)
    {
        $this->budget = $budget;
    }

    public function build()
    {
        return $this->subject('Nuevo Presupuesto - ' . $this->budget->code)
                    ->markdown('emails.budgets.created');
    }
} 